
<style>

    .hidden{
        display: none;
    }

    /* could use a refactor and a media query */
    @import url(https://fonts.googleapis.com/css?family=Montserrat);
    @import url("https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css");
    body {
        padding: 2% 0;
        background: #d6d6d6;
        font-family: 'Montserrat', sans-serif;
        color: #fff;
        text-rendering: optimizeLegibility;
          -webkit-font-smoothing: antialiased;
          -moz-osx-font-smoothing: grayscale;
    }

    .wrapper {
        width: 90%;
        max-width: 483px;
        margin: 0 auto;
    }
    .wrapper .login {
        width: 80.8%;
        position: relative;
        margin: 0 auto;
        padding: 17.5% 9.6% 9.5%;
        background: url("http://res.cloudinary.com/dcwodeda4/image/upload/v1502999946/DayOneBg_zhnovh.png") no-repeat;
        background-size: cover;
        box-shadow: 0px 28px 72px -8px #000;
    }
    .wrapper .login .tabs {
        margin-left: 3.5%;
    }
    .wrapper .login .tabs .tab {
        max-width: 40%;
        display: inline-block;
        position: relative;
        margin-right: 9%;
        font-size: 22px;
        letter-spacing: 2px;
        word-spacing: -1px;
        white-space: nowrap;
        opacity: 0.2;
        cursor: pointer;
    }
    .wrapper .login .tabs .tab.active {
        opacity: 1;
    }
    .wrapper .login .tabs .tab.active:after {
        content: "";
        height: 2px;
        position: absolute;
        left: 1px;
        right: 5px;
        bottom: -8px;
        background: #1161ed;
    }
    .wrapper .login form {
        margin-top: 31.5%;
    }
    .wrapper .login form .input {
        position: relative;
    }
    .wrapper .login form .input label {
        position: absolute;
        top: 0;
        left: 0;
        margin-top: -6.42%;
        padding-left: 3.5%;
        font-size: 13px;
        font-weight: 500;
        opacity: 0.5;
        transition: all 0.3s ease;
    }
    .wrapper .login form .input input {
        width: calc(93% - 4px);
        height: 34px;
        max-width: 93%;
        margin-bottom: 10.5%;
        padding: 0 3.5%;
        border-radius: 18px;
        background: rgba(255, 255, 255, 0.1);
        border: 2px solid transparent;
        font-family: 'Montserrat', sans-serif;
        font-size: 14px;
        color: #fff;
        transition: all 0.3s ease;
    }
    .wrapper .login form .input input#password {
        margin-bottom: 7.5%;
    }
    .wrapper .login form .input input:focus {
        background: transparent;
        outline: none;
        border: 2px solid rgba(255, 255, 255, 0.4);
    }
    .wrapper .login form .input input:focus + label {
        opacity: 0.7;
    }
    .wrapper .login form input[type=checkbox] {
        display: none;
    }
    .wrapper .login form input[type=checkbox] + label {
        position: relative;
        margin-left: 3.5%;
        padding-left: 22px;
        font-size: 14px;
    }
    .wrapper .login form input[type=checkbox] + label:before {
        content: "\f122";
        box-sizing: border-box;
        width: 16px;
        height: 16px;
        padding: 3px 4px;
        position: absolute;
        top: 50%;
        left: 0;
        transform: translateY(-50%);
        font-family: "Ionicons";
        font-size: 10px;
        border-radius: 2px;
        background: #fff;
        opacity: 0.2;
        cursor: pointer;
    }
    .wrapper .login form input[type=checkbox]:checked + label:before {
        background: #1161ed;
        opacity: 1;
    }
    .wrapper .login form button {
        width: 100%;
        height: 38px;
        margin: 6.5% 0;
        border-radius: 18px;
        font-family: 'Montserrat', sans-serif;
        font-size: 14px;
        font-weight: 600;
        color: #fff;
        background: #1161ed;
        border: none;
        cursor: pointer;
    }
    .wrapper .login form button:focus {
        outline: none;
    }
    .wrapper .login form button:hover {
        background: #4082f5;
        box-shadow: 1px 2px 40px -8px #4082f5;
    }
    .wrapper .login form .forgot {
        width: 100%;
        margin-top: 12.35%;
        padding-top: 11.85%;
        font-size: 14px;
        text-align: center;
        border-top: 2px solid rgba(255, 255, 255, 0.2);
        opacity: 0.2;
    }
    .wrapper .login form .forgot span {
        cursor: pointer;
    }


</style>
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>


<div class="wrapper">


    <div class="login">
        <!--<div id="alert" class="alert alert-warning hidden"><h4>bla bla</h4></div>-->
        <form method="post">

            <div class="input">
                <br>
                <input type="text" name="UserEmail" id="UserEmail"/>
                <label style="color: white;" for="UserEmail">Email</label>
            </div>
            <div class="input">
                <br>
                <input  type="password" name="UserPassword" id="UserPassword"/>
                <label style="color: white;" for="UserPassword">Contrase&ntilde;a</label>
            </div>
            <button href="javascript:void(0);"  onclick="getLoginValidate($('#UserEmail').val(),$('#UserPassword').val());return false;" >Login</button>

            <br>
            <div class="alert alert-warning hidden" id="Alert" ></div>


            <div class="forgot"><span style="color: white;">Powered by <strong>STELAB</strong></span></div>
        </form>
    </div>


</div>

<script>

    /*function getLoginValidate(UserID,UserPassword) {

        var form;

        if (UserID.length == 0 || UserPassword.length == 0) {
            document.getElementById("Alert").innerHTML = "Existe un campo vacio.";
            return true;
        } else {

            form = 'UserID=' + UserID + "&UserPassword=" + UserPassword;

            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    $("#Alert").removeClass("hidden");
                    document.getElementById("Alert").innerHTML = UserID;
                }
            };
            xmlhttp.open("GET", "validate.php", true);
            xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
            xmlhttp.send(form);

        }
    }*/

    function getLoginValidate(UserEmail, UserPassword) {

        var parametros = {
            "UserEmail"        : UserEmail,
            "UserPassword"    : UserPassword
        };


        $.ajax({
            data:  parametros,
            url:   'validate.php',
            type:  'post',
            beforeSend: function () {
                $("#Alert").removeClass("hidden");
                $("#Alert").html("Procesando, espere por favor...");
            },
            success:  function (response) {

                if (response == 1){
                    window.location.href = "../myaccount/dashboard.php";
                }
                else {
                    $("#Alert").html(response);
                }
            }
        });

    }


</script>